Bug 1412804 - [RFE] Add support for Cinder Replication API failback [NEEDINFO]
Summary: [RFE] Add support for Cinder Replication API failback
Keywords:
Status: POST
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M1
: ---
Assignee: Jon Bernard
QA Contact: Avi Avraham
URL: https://blueprints.launchpad.net/cind...
Whiteboard:
Depends On: 1435962 1435969 1435984 1435996
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 20:49 UTC by Sean Cohen
Modified: 2020-11-30 13:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
hfukumot: needinfo? (scohen)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 408830 0 'None' MERGED Update cheesecake promotion specification 2021-02-01 15:18:54 UTC
OpenStack gerrit 558899 0 'None' MERGED Add support for promoting a failed over backend 2021-02-01 15:18:55 UTC

Description Sean Cohen 2017-01-12 20:49:08 UTC
Cinder's failover support allows us to test a disaster recovery
configuration by initiating a failover operation and verifying that the
driver correctly passes control of the replicated volumes to a secondary
site.  With the recent merge of the RBD replication in the Cinder
driver, this failover is now supported for ceph-backed cinder
deployments.  Cinder also provides a failback operation to allow an
administrator to undo a previous failover.  This operation is not
completely implemented and work is needed before it is complete.


Note You need to log in before you can comment on or make changes to this bug.